Subject: Re: Madison Park Laetitia Comforter Bohemian.. #Ref 20251110003432612
From: Cindy <[email-masked]>
To: [email-masked]
Date: Tue, 11 Nov 2025 13:07:46 -0500

Hi,
I made the order through Amazon ,

Cynthia Fleming

SCC MedQR

Owner/Operator

914-497-3986

https://sccresource.com

“Keep Your Health On Hand With A SCC MedQR Wristband”

On Nov 11, 2025, at 10:24 AM, [email-masked] wrote:

Hello Cynthia,

Thank you for reaching out and for letting us know about your Madison Park Laetitia Comforter. We’re sorry to hear about the odor issue — that’s certainly not the experience we want for our customers.

To better assist you, could you please provide your order number and confirm where you made your purchase?

Sincerely,
Giselle
Designer Living Customer Service
[email-masked]

===============================================================================

Hi,

I ordered Madison Park Laetitia Comforter Bohemian,  the comforter and received it yesterday anlth I really like it the comforter and pillow cases and has a t awful  smell. I do not want to wash this based  of others reviews of how it washes Please advise

Best

Cynthia Fleming

SCC MedQR

Owner/Operator

914-497-3986

https://sccresource.com

“Keep Your Health On Hand With A SCC MedQR Wristband”